Package it.ernytech.tdlib

## Class TdApi.Invoice

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Invoice

Enclosing class:
  TdApi

    public static class TdApi.Invoice
    extends TdApi.Object

Product invoice.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `currency` ISO 4217 currency code.
`boolean` `isFlexible` True, if the total price depends on the shipping method.
`boolean` `isTest` True, if the payment is a test payment.
`boolean` `needEmailAddress` True, if the user's email address is needed for payment.
`boolean` `needName` True, if the user's name is needed for payment.
`boolean` `needPhoneNumber` True, if the user's phone number is needed for payment.
`boolean` `needShippingAddress` True, if the user's shipping address is needed for payment.
`TdApi.LabeledPricePart[]` `priceParts` A list of objects used to calculate the total price of the product.
`boolean` `sendEmailAddressToProvider` True, if the user's email address will be sent to the provider.
`boolean` `sendPhoneNumberToProvider` True, if the user's phone number will be sent to the provider.

### Constructor Summary

Constructors
`Invoice()` Default constructor.
`Invoice​(java.lang.String currency, TdApi.LabeledPricePart[] priceParts, boolean isTest, boolean needName, boolean needPhoneNumber, boolean needEmailAddress, boolean needShippingAddress, boolean sendPhoneNumberToProvider, boolean sendEmailAddressToProvider, boolean isFlexible)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### currency

    public java.lang.String currency

ISO 4217 currency code.

#### priceParts

    public TdApi.LabeledPricePart[] priceParts

A list of objects used to calculate the total price of the product.

#### isTest

    public boolean isTest

True, if the payment is a test payment.

#### needName

    public boolean needName

True, if the user's name is needed for payment.

#### needPhoneNumber

    public boolean needPhoneNumber

True, if the user's phone number is needed for payment.

#### needEmailAddress

    public boolean needEmailAddress

True, if the user's email address is needed for payment.

#### needShippingAddress

    public boolean needShippingAddress

True, if the user's shipping address is needed for payment.

#### sendPhoneNumberToProvider

    public boolean sendPhoneNumberToProvider

True, if the user's phone number will be sent to the provider.

#### sendEmailAddressToProvider

    public boolean sendEmailAddressToProvider

True, if the user's email address will be sent to the provider.

#### isFlexible

    public boolean isFlexible

True, if the total price depends on the shipping method.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Invoice

    public Invoice()

Default constructor.

#### Invoice

    public Invoice​(java.lang.String currency,
                   TdApi.LabeledPricePart[] priceParts,
                   boolean isTest,
                   boolean needName,
                   boolean needPhoneNumber,
                   boolean needEmailAddress,
                   boolean needShippingAddress,
                   boolean sendPhoneNumberToProvider,
                   boolean sendEmailAddressToProvider,
                   boolean isFlexible)

Constructor for initialization of all fields.

Parameters:
  `currency` - ISO 4217 currency code.
  `priceParts` - A list of objects used to calculate the total price of the product.
  `isTest` - True, if the payment is a test payment.
  `needName` - True, if the user's name is needed for payment.
  `needPhoneNumber` - True, if the user's phone number is needed for payment.
  `needEmailAddress` - True, if the user's email address is needed for payment.
  `needShippingAddress` - True, if the user's shipping address is needed for payment.
  `sendPhoneNumberToProvider` - True, if the user's phone number will be sent to the provider.
  `sendEmailAddressToProvider` - True, if the user's email address will be sent to the provider.
  `isFlexible` - True, if the total price depends on the shipping method.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR